/*
 *
 *  Copyright (C) 2005 Mike Isely <isely@pobox.com>
 *  Copyright (C) 2004 Aurelien Alleaume <slts@free.fr>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef __PVRUSB2_H
#define __PVRUSB2_H


#define PVR_VID_ENDPOINT        0x84
#define PVR_UNK_ENDPOINT        0x86    /* maybe raw yuv ? */
#define PVR_VBI_ENDPOINT        0x88

#define PVR_DEBUG 1
#define pvr_debug(...)    do { if(PVR_DEBUG) info(__VA_ARGS__); } while(0)
/* BUG_ON is a bit aggressive... maybe find a replacement */
#define PVR_BUG_ON(cond)   BUG_ON(cond)

#endif /* __PVRUSB2_H */
